=== debian/changelog ===
haproxy (1.4.8-1+squeeze1) squeeze-security; urgency=high

  * CVE-2013-1912: buffer overflow when HTTP keep-alive is enabled, using
    HTTP keywords in TCP inspection rules and running with rewrite rules
    that appends to requests. Closes: #704611.
  * CVE-2012-2942: buffer overflow in the trash buffer in the header
    capture functionality when global.tune.bufsize is set to a value
    greater than the default and header rewriting is enabled.
    Closes: #674447.
  * CVE-2013-2175: fix a possible crash when using negative header
    occurrences.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 Jun 2013 11:27:32 +0200

haproxy (1.4.8-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 18 Jun 2010 00:42:53 +0100

haproxy (1.4.4-1) unstable; urgency=low

  * New upstream release
  * Add splice and tproxy support
  * Add regparm optimization on i386
  * Switch to dpkg-source 3.0 (quilt) format

 -- Arnaud Cornet <acornet@debian.org>  Thu, 15 Apr 2010 20:00:34 +0100

haproxy (1.4.2-1) unstable; urgency=low

  * New upstream release
  * Remove debian/patches/haproxy.1-hyphen.patch gone upstream
  * Tighten quilt build dep (Closes: #567087)
  * standards-version goes 3.8.4 (no change)
  * Add $remote_fs to init.d script required start and stop

 -- Arnaud Cornet <acornet@debian.org>  Sat, 27 Mar 2010 15:19:48 +0000

haproxy (1.3.22-1) unstable; urgency=low

  * New upstream bugfix release

 -- Arnaud Cornet <acornet@debian.org>  Mon, 19 Oct 2009 22:31:45 +0100

haproxy (1.3.21-1) unstable; urgency=low

  [ Michael Shuler ]
  * New Upstream Version (Closes: #538992)
  * Added override for example shell scripts in docs (Closes: #530096)
  * Added upstream changelog to docs
  * Added debian/watch
  * Updated debian/copyright format
  * Added haproxy.1-hyphen.patch, to fix hyphen in man page
  * Upgrade Standards-Version to 3.8.3 (no change needed)
  * Upgrade debian/compat to 7 (no change needed)

  [ Arnaud Cornet ]
  * New upstream version.
  * Merge Michael's work, few changelog fixes
  * Add debian/README.source to point to quilt doc
  * Depend on debhelper >= 7.0.50~ and use overrides in debian/rules

 -- Arnaud Cornet <acornet@debian.org>  Sun, 18 Oct 2009 14:01:29 +0200

haproxy (1.3.18-1) unstable; urgency=low

  * New Upstream Version (Closes: #534583).
  * Add contrib directory in docs

 -- Arnaud Cornet <acornet@debian.org>  Fri, 26 Jun 2009 00:11:01 +0200

haproxy (1.3.15.7-2) unstable; urgency=low

  * Fix build without debian/patches directory (Closes: #515682) using
    /usr/share/quilt/quilt.make.

 -- Arnaud Cornet <acornet@debian.org>  Tue, 17 Feb 2009 08:55:12 +0100

haproxy (1.3.15.7-1) unstable; urgency=low

  * New Upstream Version.
  * Remove upstream patches:
  -use_backend-consider-unless.patch
  -segfault-url_param+check_post.patch
  -server-timeout.patch
  -closed-fd-remove.patch
  -connection-slot-during-retry.patch
  -srv_dynamic_maxconn.patch
  -do-not-pause-backends-on-reload.patch
  -acl-in-default.patch
  -cookie-capture-check.patch
  -dead-servers-queue.patch

 -- Arnaud Cornet <acornet@debian.org>  Mon, 16 Feb 2009 11:20:21 +0100

haproxy (1.3.15.2-2~lenny1) testing-proposed-updates; urgency=low

  * Rebuild for lenny to circumvent pcre3 shlibs bump.

 -- Arnaud Cornet <acornet@debian.org>  Wed, 14 Jan 2009 11:28:36 +0100

haproxy (1.3.15.2-2) unstable; urgency=low

  * Add stable branch bug fixes from upstream (Closes: #510185).
    - use_backend-consider-unless.patch: consider "unless" in use_backend
    - segfault-url_param+check_post.patch: fix segfault with url_param +
    check_post
    - server-timeout.patch: consider server timeout in all circumstances
    - closed-fd-remove.patch: drop info about closed file descriptors
    - connection-slot-during-retry.patch: do not release the connection slot
    during a retry
    - srv_dynamic_maxconn.patch: dynamic connection throttling api fix
    - do-not-pause-backends-on-reload.patch: make reload reliable
    - acl-in-default.patch: allow acl-related keywords in defaults sections
    - cookie-capture-check.patch: cookie capture is declared in the frontend
    but checked on the backend
    - dead-servers-queue.patch: make dead servers not suck pending connections
  * Add quilt build-dependancy. Use quilt in debian/rules to apply
    patches.

 -- Arnaud Cornet <acornet@debian.org>  Wed, 31 Dec 2008 08:50:21 +0100

haproxy (1.3.15.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #497186).

 -- Arnaud Cornet <acornet@debian.org>  Sat, 30 Aug 2008 18:06:31 +0200

haproxy (1.3.15.1-1) unstable; urgency=low

  * New Upstream Version
  * Upgrade standards version to 3.8.0 (no change needed).
  * Build with TARGET=linux26 on linux, TARGET=generic on other systems.

 -- Arnaud Cornet <acornet@debian.org>  Fri, 20 Jun 2008 00:38:50 +0200

haproxy (1.3.14.5-1) unstable; urgency=low

  * New Upstream Version (Closes: #484221)
  * Use debhelper 7, drop CDBS.

 -- Arnaud Cornet <acornet@debian.org>  Wed, 04 Jun 2008 19:21:56 +0200

haproxy (1.3.14.3-1) unstable; urgency=low

  * New Upstream Version
  * Add status argument support to init-script to conform to LSB.
  * Cleanup pidfile after stop in init script. Init script return code fixups.

 -- Arnaud Cornet <acornet@debian.org>  Sun, 09 Mar 2008 21:30:29 +0100

haproxy (1.3.14.2-3) unstable; urgency=low

  * Add init script support for nbproc > 1 in configuration. That is,
    multiple haproxy processes.
  * Use 'option redispatch' instead of redispatch in debian default
    config.

 -- Arnaud Cornet <acornet@debian.org>  Sun, 03 Feb 2008 18:22:28 +0100

haproxy (1.3.14.2-2) unstable; urgency=low

  * Fix init scripts's reload function to use -sf instead of -st (to wait for
    active session to finish cleanly). Also support dash. Thanks to
    Jean-Baptiste Quenot for noticing.

 -- Arnaud Cornet <acornet@debian.org>  Thu, 24 Jan 2008 23:47:26 +0100

haproxy (1.3.14.2-1) unstable; urgency=low


