=== debian/watch ===
version=3
http://haproxy.1wt.eu/ download/(.*)/haproxy-([\d\.]+)\.tar\.gz$
