=== debian/changelog ===
haproxy (1.4.15-1) unstable; urgency=low

  * New upstream release with critical bug fix (Closes: #631351)

 -- Christo Buschek <crito@30loops.net>  Thu, 14 Jul 2011 18:17:05 +0200

haproxy (1.4.13-1) unstable; urgency=low

  * New maintainer upload (Closes: #615246)
  * New upstream release
  * Standards-version goes 3.9.1 (no change)
  * Added patch bashism (Closes: #581109)
  * Added a README.source file.

 -- Christo Buschek <crito@30loops.net>  Thu, 11 Mar 2011 12:41:59 +0000
