=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Arnaud Cornet <acornet@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Christo Buschek <crito@30loops.net>
+Uploaders: Arnaud Cornet <acornet@debian.org>
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev, quilt (>= 0.46-7~)
 Homepage: http://haproxy.1wt.eu/
