=== contrib/halog/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 EBTREE_DIR = ../../ebtree
 INCLUDE  = -I../../include -I$(EBTREE_DIR)
+
+CC       = gcc
 OPTIMIZE = -O3
 
 OBJS     = halog halog64
@@ -11,4 +13,4 @@
 	$(CC) $(OPTIMIZE) -o $@ $(INCLUDE) $(EBTREE_DIR)/ebtree.c $(EBTREE_DIR)/eb32tree.c $(EBTREE_DIR)/eb64tree.c $(EBTREE_DIR)/ebmbtree.c $(EBTREE_DIR)/ebsttree.c $(EBTREE_DIR)/ebistree.c $(EBTREE_DIR)/ebimtree.c $^
 
 clean:
-	rm -vf $(OBJS)
+	rm -f $(OBJS)
