=== debian/changelog ===
haproxy (1.4.18-0ubuntu1.2) precise-security; urgency=low

  * SECURITY UPDATE: denial of service in HTTP header parsing
    - debian/patches/CVE-2013-2175.patch: properly calculate the header
      field count in src/proto_http.c.
    - CVE-2013-2175

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Jun 2013 14:03:46 -0400

haproxy (1.4.18-0ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via non-default global.tune.bufsize.
    - debian/patches/CVE-2012-2942.patch: check buffer sizes in
      include/types/global.h, src/acl.c, src/cfgparse.c, src/checks.c,
      src/dumpstats.c, src/haproxy.c, src/proto_http.c,
      tests/0000-debug-stats.diff.
    - CVE-2012-2942
  * SECURITY UPDATE: denial of service via HTTP information in tcp-request
    - debian/patches/CVE-2013-1912.patch: properly handle buffers in
      src/proto_http.c.
    - CVE-2013-1912

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Apr 2013 10:21:10 -0400

haproxy (1.4.18-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Dec 2011 15:36:29 -0500
