=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with-quilt
 
 override_dh_auto_configure:
